# Uses of Class
javax.xml.crypto.URIReferenceException

Packages that use URIReferenceException
Package
Description
javax.xml.crypto
Common classes for XML cryptography.
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of URIReferenceException in javax.xml.crypto

Methods in javax.xml.crypto that throw URIReferenceException
Modifier and Type
Method
Description
`Data`
URIDereferencer.`dereference​(URIReference uriReference, XMLCryptoContext context)`
Dereferences the specified `URIReference` and returns the dereferenced data.

## Uses of URIReferenceException in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that throw URIReferenceException
Modifier and Type
Method
Description
`Data`
RetrievalMethod.`dereference​(XMLCryptoContext context)`
Dereferences the `KeyInfo` information referenced by this `RetrievalMethod` and applies the specified `Transform`s.